
From: Eugene Surovegin <ebs@ebshome.net>

Add a definition for PPC 405EP which was lost somehow during 2.4 -> 2.6
transition.

Recent change to arch/ppc/kernel/misc.S ("Fix incorrect CPU_FTR fixup usage
for unified caches") triggered this bug and 405EP boards don't boot
anymore.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/kernel/cputable.c |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN arch/ppc/kernel/cputable.c~ppc32-add-405ep-cpu_spec-entry arch/ppc/kernel/cputable.c
--- 25/arch/ppc/kernel/cputable.c~ppc32-add-405ep-cpu_spec-entry	2005-06-06 21:25:55.000000000 -0700
+++ 25-akpm/arch/ppc/kernel/cputable.c	2005-06-06 21:25:55.000000000 -0700
@@ -838,6 +838,17 @@ struct cpu_spec	cpu_specs[] = {
 		.icache_bsize		= 32,
 		.dcache_bsize		= 32,
 	},
+	{	/* 405EP */
+		.pvr_mask		= 0xffff0000,
+		.pvr_value		= 0x51210000,
+		.cpu_name		= "405EP",
+		.cpu_features		= CPU_FTR_SPLIT_ID_CACHE |
+			CPU_FTR_USE_TB,
+		.cpu_user_features	= PPC_FEATURE_32 |
+			PPC_FEATURE_HAS_MMU | PPC_FEATURE_HAS_4xxMAC,
+		.icache_bsize		= 32,
+		.dcache_bsize		= 32,
+	},
 
 #endif /* CONFIG_40x */
 #ifdef CONFIG_44x
_
